> ## Documentation Index
> Fetch the complete documentation index at: https://www.edenai.co/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List Subfeatures

> List all subfeatures for a specific feature.

Args:
    feature: Feature name (e.g., 'text', 'image', 'ocr', 'translation')

Returns:
    Feature info with display names and list of subfeatures.



## OpenAPI

````yaml https://api.edenai.run/v3/docs/openapi.json get /v3/info/{feature}
openapi: 3.1.0
info:
  title: Eden AI API V3
  version: 3.0.0
servers:
  - url: https://api.edenai.run
    description: Production server
security: []
paths:
  /v3/info/{feature}:
    get:
      tags:
        - info
      summary: List Subfeatures
      description: |-
        List all subfeatures for a specific feature.

        Args:
            feature: Feature name (e.g., 'text', 'image', 'ocr', 'translation')

        Returns:
            Feature info with display names and list of subfeatures.
      operationId: list_subfeatures_v3_info__feature__get
      parameters:
        - name: feature
          in: path
          required: true
          schema:
            type: string
            title: Feature
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FeatureInfo'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    FeatureInfo:
      properties:
        name:
          type: string
          title: Name
        fullname:
          type: string
          title: Fullname
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        subfeatures:
          items:
            $ref: '#/components/schemas/SubfeatureInfo'
          type: array
          title: Subfeatures
      type: object
      required:
        - name
        - fullname
        - subfeatures
      title: FeatureInfo
      description: Info about a feature and its subfeatures.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    SubfeatureInfo:
      properties:
        name:
          type: string
          title: Name
        fullname:
          type: string
          title: Fullname
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        mode:
          type: string
          enum:
            - sync
            - async
          title: Mode
        models:
          items:
            additionalProperties: true
            type: object
          type: array
          title: Models
          default: []
      type: object
      required:
        - name
        - fullname
        - mode
      title: SubfeatureInfo
      description: Info about a subfeature.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````